fop 2.3

## org.apache.fop.pdf
Class StandardStructureTypes

    java.lang.Object
      org.apache.fop.pdf.StandardStructureTypes

    public final class StandardStructureTypes

extends java.lang.Object

Standard structure types, as defined in section 10.7.4 of the PDF Reference, Fourth Edition (PDF 1.5).

Nested Class Summary
`static class` `StandardStructureTypes.Grouping`
`static class` `StandardStructureTypes.Illustration`
`static class` `StandardStructureTypes.InlineLevelStructure`
`static class` `StandardStructureTypes.List`
`static class` `StandardStructureTypes.Paragraphlike`
`static class` `StandardStructureTypes.RubyOrWarichu`
`static class` `StandardStructureTypes.Table`

Method Summary
`static StructureType` `get(java.lang.String name)` Returns the standard structure type of the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static StructureType get(java.lang.String name)

  Returns the standard structure type of the given name.

  Parameters:
    `name` - the name of a structure type, case sensitive. For example, Document, Sect, H1, etc.
  Returns:
    the corresponding `StructureType` instance, or `null` if the given name does not correspond to a standard structure type

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.